define(['underscore', 'backbone', 'context'], function (_, Backbone, Context) {
    var HistoryQuery = Backbone.Model.extend({
        defaults: {
            id: null,
            db: null,
            query: null,
            created_at: null,
            user_id: null
        },
        url: "/history/favorite",
        parse: function(model) {
          // add formatted date to model
    			model.created_at_f = new Date(model.created_at);
    			return model;
    		}
    });
    return HistoryQuery;
});
