define(['underscore', 'backbone', 'context'], function (_, Backbone, Context) {
    var ForeignKey = Backbone.Model.extend({
        url_base_existing: "/schema/fk/%(connection)s/%(db)s/%(table)s/%(name)s",
        url_base: "/schema/fk/%(connection)s/%(db)s/%(table)s",
        url: function () {
            var data = Context;
            if (this.idAttribute === "name" && this.get("name")) {
              data.name = this.get("name")
              return encodeURI(this.url_base_existing.format(data));
            }
            return encodeURI(this.url_base.format(data));
        },
        defaults: {name: null, columns: null, referenced_table: null,
          referenced_columns: null}
    });
    return ForeignKey;
});
